org.apache.flume.sink.hive

## Interface HiveEventSerializer

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    HiveDelimitedTextSerializer, HiveJsonSerializer

      public interface HiveEventSerializer
      extends Configurable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hive.hcatalog.streaming.RecordWriter` | `createRecordWriter(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)`
    `void` | `write(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch, Collection<byte[]> events)`
    `void` | `write(org.apache.hive.hcatalog.streaming.TransactionBatch batch, Event e)`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Method Detail

    - #### write

          void write(org.apache.hive.hcatalog.streaming.TransactionBatch batch,
                   Event e)
                     throws org.apache.hive.hcatalog.streaming.StreamingException,
                            IOException,
                            InterruptedException

      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `InterruptedException`

    - #### write

          void write(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch,
                   Collection<byte[]> events)
                     throws org.apache.hive.hcatalog.streaming.StreamingException,
                            IOException,
                            InterruptedException

      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `InterruptedException`

    - #### createRecordWriter

          org.apache.hive.hcatalog.streaming.RecordWriter createRecordWriter(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)
                                                                             throws org.apache.hive.hcatalog.streaming.StreamingException,
                                                                                    IOException,
                                                                                    ClassNotFoundException

      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `ClassNotFoundException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.